libzypp 17.38.15

ContentType.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes
class | zypp::ContentType
| Mime type like `'type/subtype'` classification of content. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const ContentType &obj)
| relates: ContentType Stream output
bool | zypp::operator== (const ContentType &lhs, const ContentType &rhs)
| relates: ContentType
bool | zypp::operator!= (const ContentType &lhs, const ContentType &rhs)
| relates: ContentType
bool | zypp::operator< (const ContentType &lhs, const ContentType &rhs)
| relates: ContentType
bool | zypp::operator<= (const ContentType &lhs, const ContentType &rhs)
| relates: ContentType
bool | zypp::operator> (const ContentType &lhs, const ContentType &rhs)
| relates: ContentType
bool | zypp::operator>= (const ContentType &lhs, const ContentType &rhs)
| relates: ContentType